### Enumeration

# Camel CipherHash

#### Declaration

    enum Camel.CipherHash

#### Description

No description available.

#### Members

`CAMEL_CIPHER_HASH_DEFAULT`

  No description available.

  - Value: `0`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_MD2`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_MD5`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_SHA1`

  No description available.

  - Value: `3`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_SHA256`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_SHA384`

  No description available.

  - Value: `5`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_SHA512`

  No description available.

  - Value: `6`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_RIPEMD160`

  No description available.

  - Value: `7`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_TIGER192`

  No description available.

  - Value: `8`
  - Available since: 1.2
`CAMEL_CIPHER_HASH_HAVAL5160`

  No description available.

  - Value: `9`
  - Available since: 1.2